<?php

require_once 'framework/model/AdminServices.php';
require_once 'framework/util/BrowserUtils.php';
//
// If you wish another language on your login screen, change the following two
// lines to include the appropriate dictionaries (and optionally translate them ;-)
//
include 'framework/i18n/messages_en.php';
include 'framework/i18n/dictionary_en.php';

/**
 * The login screen
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.framework
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
$demo = false;
$adminServices = new AdminServices ();
$browserUtils = new BrowserUtils ();

$allowAnonymousSignon = $adminServices->getAdminConfig ('allow_account_creation');
if ($browserUtils->browserIsPDA ())
{
	$colspan=1;
}
else if ($allowAnonymousSignon)
{
	$colspan=4;
}
else
{
	$colspan=2;
}
?>
<html>
<head>
	<title>Brim - Login</title>
	<style type="text/css">
		body
		{
			background: #fff url(framework/view/pics/treeback.jpg) repeat-x top;
			font: 14px arial,helvetica,sans-serif
		}
		.shadowParagraph 
		{
			width: 600; 
			float:left;
			background: url(framework/view/pics/shadowAlpha.png) no-repeat bottom right !important;
			background: url(shadow.gif) no-repeat bottom right;
			margin: 10px 0 0 10px !important;
			margin: 10px 0 0 5px
		}
		.shadowParagraph div 
		{
			background: none !important;
			background: url(framework/view/pics/shadow2.gif) no-repeat left top;
			padding: 0 !important;
			padding: 0 6px 6px 0
		}
		.shadowParagraph p
		{
			color: #666666;
			width:600px;
			background-color: #ffffff;
			font: italic 1em arial,helvetica,sans-serif;
			border: 1px solid #a9a9a9;
			padding: 4px;
			margin: -6px 6px 6px -6px !important;
			margin: 0
		}
		.shadowImage
		{
			float:left;
			background: url(framework/view/pics/shadowAlpha.png) no-repeat bottom right !important;
			background: url(framework/view/pics/shadow.gif) no-repeat bottom right;
			margin: 10px 0 0 10px !important;
			margin: 10px 0 0 5px
		}
		.shadowImage img 
		{
			display: block;
			position: relative;
			background-color: #ffffff;
			border: 1px solid #a9a9a9;
			margin: -6px 6px 6px -6px;
			padding: 4px
		}
		.mainTable
		{
			background: #ffffff url(framework/view/pics/background.jpg) no-repeat top right ;
			border-top: 1px solid #003399;
			border-left: 1px solid #003399;
			border-right: 1px solid #003399;
			border-bottom: 1px solid #003399;
			width: 600px;
			margin: 10px auto;
		}
		.login 
		{
			margin: 10px auto;
			background: #ffffff;
			width: 80%;
			padding: 5px
		}
	</style>
</head>
<body onload="document.forms[0].username.focus()">
	<center>
	<form action="loginAction.php" method="post">
	<table class="mainTable">
	<tr>
		<td colspan="<?php echo $colspan; ?>">
			<div class="shadowImage">
  				<img src="framework/view/pics/question_brim.jpg">
			</div>
		</td>
	</tr>
<?php if ($demo) { ?>
	<tr>
		<td colspan="<?php echo $colspan; ?>">
			<div class="shadowParagraph">
				<p>
					Welcome to the demo site of Brim. You can login using username and 
					password 'test' (without the quotes). Note that you can change theme 
					and language (using the preferences) but these will not be saved in the 
					database and reset to default on next login.
					As test-user, you <b>cannot</b> change the password.
				</p>
			</div>
		</td>
	</tr>
<?php } ?>
	<tr>
		<td colspan="<?php echo $colspan; ?>">
			<div class="shadowParagraph">
				<p>
				<?php
          				if (isset ($_GET['message']))
               				{       
                   				$messageId = $_GET['message'];
                   				$message = $messages[$messageId];

                   				if (isset ($message))
                   				{       
                       					echo ($message);
                   				}       
                   				else    
                   				{       
                        				echo ($messages['unknownError']);
                  				}
            				}               
            				else    
            				{       
                    				echo ($messages['provideUsernameAndPassword']);
            				}
				?>
				</p>
			</div>
		</td>
	</tr>
	<tr>
		<td colspan="<?php echo $colspan; ?>">
			<!--
				First render in a special way for PDAs
			-->
			<?php
			if ($browserUtils->browserIsPDA ())
			{
			?>
			<table>	
				<tr>
					<td>
						<?php echo ($messages['name']); ?>: 
					</td>
					<td>
						<input type="text" 
							name="username" tabindex="1" 
							<?php 
							if ($demo) 
							{ 
								echo ' value="test" ';
							} 
							?>
						/> 
					</td>
				</tr>
				<?php
				if ($allowAnonymousSignon)
				{
				?>
				<tr>
					<td>
						<?php echo ($messages['signUp']); ?>: 
					</td>
					<td>
						<input type="Checkbox" name="signUp" /> 
					</td>
				</tr>
				<?php } ?>
				<tr>
					<td>
						<?php echo ($messages['password']); ?>: 
					</td>
					<td>
						<input type="password" 
							name="password" tabindex="2"
						<?php 
						if ($demo) 
						{ 
							echo ' value="test" ' ;
						}
						?>
						/>
					</td>
				</tr>	
				<tr>
					<td>
						<?php echo ($messages['rememberMe']); 
						?>:&nbsp;<input type="Checkbox" 
						name="rememberMe" /> 
					</td>
					<td>
						<input type="submit" value="Submit" name="submit" />
					</td>
				</tr>
			</table>
			<?php
			}
			else
			{
			?>
			<!--
				No PDA, so render in a 'normal' way, taking the number of columns 
				into account
			-->
			<table class="login">
				<tr>
					<?php
						if ($allowAnonymousSignon)
						{
					?>
							<td> 
								<?php echo ($messages['name']); ?>: 
							</td>
	   						<td> <input type="text" name="username" tabindex="1" 
								<?php if ($demo) { echo ' value="test" ';} ?>
							/> </td>
							<td> <input type="Checkbox" name="signUp" /> </td>
							<td>
								<?php echo ($messages['signUp']); ?>: 
							</td>
						</tr>
						<tr>
							<td>
								<?php echo ($messages['password']); ?>: 
							</td>
							<td> <input type="password" name="password" tabindex="2"
								<?php if ($demo) { echo ' value="test" ' ;}?>
							/> </td>
							<td> <input type="Checkbox" name="rememberMe" /> </td>
							<td>
								<?php echo ($messages['rememberMe']); ?>: 
							</td>
						</tr>
						<tr>
							<td> &nbsp; </td>
							<td colspan="2"> <input type="submit" value="Submit" name="submit" /> </td>
							<td> <a href="lostPassword.php"
								><?php echo ($messages['lostPassword']); ?></a> </td>
						</tr>
					<?php
						} else {
					?>
						<tr>
							<td> 
								<?php echo ($messages['name']); ?>:
								<input type="text" name="username" tabindex="1" /> </td>
							<td> 
								<?php echo ($messages['password']); ?>:
								<input type="password" name="password" tabindex="2" /> </td>
						</tr>
						<tr>
							<td>
								<?php echo ($messages['rememberMe']); ?>:
								<input type="Checkbox" name="rememberMe" />
								<input type="submit" value="Submit" name="submit" />
							</td>
							<td>
								<a href="lostPassword.php"
									><?php echo ($messages['lostPassword']); ?></a>
							</td>
					<?php
						}
					?>
				</tr>
			</table>
			<?php } ?>
		</td>
	</tr>
	<tr>
		<td colspan="<?php echo $colspan; ?>">
			<div class="shadowParagraph">
			<!--
				The GPL license states that copyright information
				may not be removed. Please be kind and 
				provide the copyright notice (you can of course modify it so it fits 
				in your layout...)
			-->
			<p>
				Brim <?php echo ($dictionary['version']) ?>.
				<?php echo ($messages['copyright']); ?>
			</p>
			</div>
		</td>
	</tr>
	</table>
	</form>
	</center>
</body>
</html>
