<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - October 2004
 * @package org.brim-project.plugins.banking
 * @subpackage i18n
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

if (!isset($dictionary))
{
	$dictionary = array();
}

$dictionary['charset']				 = 'iso-8859-1';
$dictionary['item_title']			 = 'E-Banking';
$dictionary['name']					 = 'Bank';
$dictionary['url']					 = 'URL';
$dictionary['login']				 = 'Login';
$dictionary['contact_person']		 = 'Kontaktperson';
$dictionary['contact_phone']		 = 'Kontakt Telefon';
$dictionary['cancellists']			 = 'Streichlisten';
$dictionary['addCancellist']		 = 'Streichliste hinzuf&uuml;gen';
$dictionary['addSecret']			 = 'Secret hinzuf&uuml;gen';
$dictionary['numberMissing']		 = 'Keine Nummer angegeben!';
$dictionary['secretMissing']		 = 'Kein Secret angegeben!';
$dictionary['cancellistNameMissing'] = 'Kein Name f&uuml;r die Streichliste angegeben!';
$dictionary['bankMissing']		 	 = 'Name der Bank nicht definiert!';
$dictionary['bankIdMissing']		 = 'BankId ist nicht definiert!';
$dictionary['loginMissing']			 = 'Login ist nicht definiert!';
$dictionary['cancellistIdMissing']	 = 'CancellistId ist nicht definiert!';
$dictionary['cancellistName']		 = 'Streichlistename';
$dictionary['number']				 = 'Nummer';
$dictionary['secret']				 = 'Secret';
$dictionary['when_used']			 = 'Datum verwendet';
$dictionary['state']				 = 'Status';
$dictionary['secret_used']			 = 'Secret verwendet';
$dictionary['set_secret_used']		 = 'Als verwendet kennzeichnen';
$dictionary['totalSecrets']			 = 'Secrets total';
$dictionary['secretsNotUsed']		 = 'Noch verwendbare Secrets';

$dictionary['modifyBankingPreferences'] 	= '&Auml;ndern der E-Banking-Einstellungen';
$dictionary['openURLinNewWindow'] 			= '&Ouml;ffne URL in neuem Fenster';

$dictionary['help_cautions']		 = '
	<table width="100%" border="0" cellpadding="5" cellspacing="0">
		<tr bgcolor="lightsalmon">
			<td>
				<h3><font color="darkred">Warnungen	</font></h3>
				<ul>
				<li>
					Legen Sie das Passwort und die Streichliste stehts an
					getrennten Orten ab. Das Passwort sollte nur Ihnen
					bekannt sein und nirgends in schriftlicher Form
					existieren.
				</li>
				<li>
					Damit dieses Plugin sicher benutzt werden kann,
					m&uuml;ssen Sie Brim &uuml;ber eine sichere
					Internetverbindung benutzten (https, SSL). Ansonsten
					werden die von Ihnen eingegebenen und abgerufenen
					Daten unverschl&uuml;sselt &uuml;bermittelt und
					k&ouml;nnen so von Drittpersonen auspioniert werden!
				</li>
				<li>
					Ihre Daten werden in der Datenbank unverschl&uuml;sselt
					abgespeichert. Dementsprechend kann Ihr
					Datenbank-Administrator diese Daten einsehen.
				</li>
				</ul>
			</td>
		</tr>
	</table>
';
$dictionary['item_help'] 			 = '
	<h2>Einf&uuml;hrung</h2>
	<p>
		Wenn Sie Ihre Bankgesch&auml;fte &uuml;ber das Internet
		t&auml;tigen wollen, stellt Ihnen die Bank ein E-Banking Konto
		zur Verf&uuml;gung. Dieses Konto erm&ouml;glicht es Ihnen ein
		oder mehrere Konten bei dieser Bank zu verwalten. Das heisst, Sie
		k&ouml;nnen z.B. den aktuellen Kontostand abrufen, die letzten
		Transaktionen einsehen und Zahlungen t&auml;tigen.
	</p>
	<p>
		Im Normallfall bekommen Sie von der Bank eine Identifikationsnummer
		und ein Passwort, mit welchem Sie Zugriff auf Ihre Konten bekommen.
		Dies ist jedoch ein unzureichender Schutz. Deshalb geben die Banken
		noch zus&auml;tzlich eine Streichliste mit Streichcodes
		(Secrets), um die Sicherheit zu erh&ouml;hen.
	</p>
	<p>
		Jedes mal wenn Sie sich einloggen, m&uuml;ssen Sie zus&auml;tzlich
		zum Passwort noch den n&auml;chsten g&uuml;ltigen Streichcode
		eingeben. Dieser Streichcode kann nur einmal eingegeben werden und
		verf&auml;llt direkt nach einer g&uuml;ltigen Authentifizierung.
		Beim n&auml;chsten Login wird der n&auml;chste g&uuml;ltige
		Streichcode verlangt.
	</p>
	<p>
		Diese Streichcodes erm&ouml;glichen es Ihnen auch eine gewisse
		Kontrolle &uuml;ber das E-Banking Konto zu erhalten. Wenn beim
		n&auml;chsten Login der &uuml;bern&auml;chste Streichcode verlangt
		wird, haben Sie entweder das letzte Mal vergessen den eingegeben
		Streichcode zu streichen oder jemand hat Ihre
		Identifikationsnummer, Password und Streichliste ergattert und
		sich an Ihren Bankkonten zu schaffen gemacht.
	</p>
	'
	. $dictionary['help_cautions'] .
	'

	<h2>E-Banking Informationen</h2>
	<h3>Aktion: Hinzuf&uuml;gen</h3>
	<p>
		Mit dieser Aktion k&ouml;nnen Sie die Grundinformationen zu Ihrem
		E-Banking Konto abspeichern. Dazu geh&ouml;ren zum Beispiel der
		Name der Bank, der Internet-Link (URL) zu der Startseite und die
		Login-Informationen (Benutzernamen oder Identifikationsnummer).
	</p>

	<h2>Streichlisten</h2>
	<h3>Aktion: Streichlisten hinzuf&uuml;gen</h3>
		<p>
			Nachdem Sie die Grundinformation hinzugef&uuml;gt haben,
			k&ouml;nnen Sie auf	den Namen der Bank klicken und
			anschliessend mit der Aktion <em>Streichliste
			hinzuf&uuml;gen</em> Streichlisten hinzuf&uuml;gen.
		</p>
	<h2>Streichcodes (Secrets)</h2>
	<h3>Aktion: Secrets hinzuf&uuml;gen</h3>
		<p>
			Nachdem Sie eine Streichliste hinzugef&uuml;gt haben,
			k&ouml;nnen Sie auf den Namen der Streichliste klicken
			und anschliessend mit der Aktion <em>Secret
			hinzuf&uuml;gen</em> Secrets zu dieser Streichliste
			hinzuf&uuml;gen.
		</p>
	<h3>Schaltfl&auml;che: Secrets als verwendet markieren</h3>
		<p>
			Haben Sie einmal ein bestimmtes Secret verwendet, kann es
			nicht mehr benutzt werden und sollte gestrichen werden. Klicken
			Sie daf&uuml;r auf die Schaltf&auml;che <em>Als verwendet
			kennzeichnen</em>. Diese Aktion kann nicht mehr
			r&uuml;ckg&auml;ngig gemacht werden.
		</p>
		<br>
';
$dictionary['item_quick_help']='Klicken Sie auf \'Hinzuf&uuml;gen\' um Informationen <br>zu einer Bank hinzuzuf&uuml;gen.
<br><br>Anschliessend klicken Sie <br>auf den Namen der Bank und <br>\'Streichliste hinzuf&uuml;gen\' um eine <br>Streichliste hinzuzuf&uuml;gen.
<br><br> Gehen sie entsprechen vor um Secrets <br>zu einer Streichliste hinzuzuf&uuml;gen.';
?>
