<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Ladislav Urbanek
 * @package org.brim-project.plugins.bookmarks
 * @subpackage i18n
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}
$dictionary['charset']='utf-8';

$dictionary['item_quick_help']='Klikněte na ikonu u složky/položky pro přesunutí/smazání/editaci odkazu.<br><br>Pro přesunutí odkazu do jiné složky nebo Rootu, <br>kliněte na Editovat  => Přesunout => klikněte na složku, kam chcete odkaz přesunout.';
$dictionary['item_title']='Záložka';
$dictionary['locatorMissing'] = 'Odkaz musí být definován';
$dictionary['modifyBookmarkPreferences']='Upravit předvolby pro Záložky';
$dictionary['quickmarkExplanation']='Kliknutím pravým tlačítkem myši na následující odkaz se přidá Quickmark do Záložek/Oblíbených ve Vašem <b>prohlížeči</b>. Pokaždé, když použijete Quickmark ve Vašem prohlížeči, stránka, na níž se nacházíte, bude automaticky přidána do Záložek v aplikaci Brim.<br><br><font size="-2">Prosím klikněte na "OK", pokud budete tázáni na přidání záložky - kód, který "vybírá" adresu stránky, kterou chcete přidat do záložek, některé prohlížeče může "znervóznit".</font><br>';
$dictionary['showBookmarkDetails'] = 'Ukaž detaily odkazu';
$dictionary['sidebar']='Sidebar';
$dictionary['yourPublicBookmarks']='Vaše veřejné záložky';
$dictionary['item_help']='
	<p>
		Plugin Záložky Vám dovoluje spravovat Vaše
    záložky on-line.
	</p>
	<p>
		Klikněte na ikonu Složka/Položka na začátku řádku pro
		přesun/odstranění/editaci odkazu.
	</p>
	<p>
    Pro přesunutí odkazu do jiné složky, klikněte na
    Editovat => Přesunout a klikněte na složku, kam chcete
    odkaz přesunout.
	</p>
	<p>
    Následující parametry Záložky mohou být nastaveny:
	</p>
	<ul>
		<li><em>Jméno</em>:
			Jméno resp. název odkazu. Např.: [nauta.be] pro moji
			osobní stránku.
		</li>
		<li><em>Složka/Záložka</em>:
      Indikátor zdali položka k přidání je složka nebo záložka.
      Jakmile je
      tahle volba vybrána, již nikdy nemůže být měněna.
		</li>
		<li><em>Veřejná/Soukromá položka</em>:
      Indikátor, zdali tato položka je veřejná nebo pouze pro Vaše oči.
			<br />
			Pokud chcete aby konkrétní položka byla veřejná,
			její nadřazená kategorie musí být taktéž veřejná!
			(Nejvyšší úroveň je automaticky nastavena jako veřejná.)
		</li>
		<li><em>URL</em>:
			URL záložky. URL musí začínat protokolem (např.: http://
      nebo ftp://), aby se záložkou bylo spravně zacházeno.
		</li>
		<li><em>Popis</em>:
			Popis záložky.
		</li>
	</ul>
	<p>
		Podmenu které jsou dostupné pro plugin Záložky jsou:
		Akce, Zobrazení, Třídit, Volby a Nápověda.
	</p>
	<h3>Akce</h3>
	<ul>
		<li><em>Přidat</em>:
			Pomocí této akce je zobrazen formulář, do kterého je možné
			vložit parametry záložky.
			URL musí začínat platným indentifikátorem protokolu
			(např. http:// or ftp://)
		</li>
		<li><em>Vícenásobný výběr</em>:
			Tato volba umožňuje vybrat více záložek naráz (NEPLATÍ pro složky)
			a tyto označené naráz smazat nebo je přesunout do jiné složky.
		</li>
		<li><em>Importovat</em>:
			Pomocí této volby lze importovat záložky. V tuto chvíli je možné
			importovat z prohlížeče Opera a z rodinny programů Netscape/Mozilla/Firefox.
			Pokud chcete importovat záložky z Internet Exploreru, je třeba je v tomto
			programu nejdříve exportovat. Tím vznikne soubor kompatibilní s programem
			Netscape, tento soubor je pak možné importovat do Brim.
			<br />
			Během importu je možné zvolit, jestli importované položky budou
			veřejné nebo soukromé. Tato volba se uplatní pro všechny importované
			položky.
			<br />
			Je možné provést import z jednoho konkrétního adresáře,
			stačí vložit jeho jméno a vybrat "Import".
		</li>
		<li><em>Exportovat</em>:
			Touto volbou je možné provést export záložek. Podporované jsou formáty programů
			Opera, Netscape (dohromady s Mozillou a Firefoxem). Pokud chcete
			exportovat záložky do Internet Exploreru, je třeba je nejdříve vyexportovat
			do formátu pro program Netscape a poté je do Internet Exploreru naimportovat
			z tohoto souboru.
		</li>
		<li><em>Vyhledávání</em>:
			Pomocí této akce je možné vyhledávat v záložkách podle jména, URL
			nebo popisu.
		</li>
	</ul>
	<h3>Zobrazení</h3>
	<ul>
		<li><em>Rozbalit</em>:
			Touto volbou lze otevřít všechny složky a zobrazit všechny
			dostupné položky. Volbu lze použít pouze pro stromové zobrazení.
		</li>
		<li><em>Sbalit</em>:
			Tímto odkazem se zobrazí pouze položky (záložky nebo složky)
			aktuálně vybrané složky.
		</li>
		<li><em>Adresářová struktura</em>:
			Zvolením této možnosti bude struktura zobrazena jako adresářová
			struktura. Toto zobrazení je podobné tomu, jak Yahoo! zobrazuje
			svoji adresářovou strukturu.
			<br />
			Počet sloupců v tomto zobrazení může být nastaven v možnostech záložek.
		</li>
		<li><em>Stromová struktura</em>:
			Pomocí této možnosti bude struktura přepnuta do zobrazení, které je
			známé z Průzkumníku a mnoha dalších správců souborů.
		</li>
		<li><em>Veřejné</em>:
			Zobrazí všechny veřejné záložky všech uživatelů spolu s Vašimi
			záložkami (bezohledu zda-li jsou sdílené nebo vlastní).
		</li>
		<li><em>Vlastní</em>:
			Zobrazí pouze Vaše záložky (opak k "Veřejné")
		</li>
	</ul>
	<h3>Třídit</h3>
	<ul>
		<li><em>Poslední navštívené</em>:
			Zobrazí záložky dle data poslední návštěvy.

		</li>
		<li><em>Nejnavštěvovanější</em>:
			Zobrazí záložky dle návštěvnosti.

		</li>
		<li><em>Poslední vytvořené</em>:
			Zobrazí záložky dle data vytvoření.

		</li>
		<li><em>Poslední upravené</em>:
			Zobrazí záložky dle data poslední modifikace.

		</li>
	</ul>
	<h3>Volby</h3>
	<ul>
		<li><em>Upravit</em>:
			Zde lze upravit vlastnosti záložek. Můžete změnit počet sloupců
			pro adresářové zobrazení záložek, lze de-/aktivovat Javascriptové
			informační pop-up okna, která se zobrazují při najetí kurzorem na odkaz.
			Lze také předvolit způsob zobrazení záložek (adresářové nebo stromové
			zobrazení) a zda mají odkazy být otevírány do nového nebo aktuálního
			okna.
		</li>
		<li><em>Vaše veřejné záložky</em>:
      Kliknutím na tenhle odkaz zobrazíte všechny Vaše veřejné záložky.
      Stránka která bude otevřena je veřejně přístupná, takže
      můžete odkaz poslat komukoliv s kým chcete sdílet Vaše záložky
      touhle cestou. Tento odkaz taky může být integrován do jiné
      webové stránky, aby ji oživil Vašimi záložkami.
      Brim powered!
			<br />
			Pokud chcete veřejnou konkrétní položku,
			musí být veřejná i nadřazená položka (složka).
		</li>
		<li><em>Sidebar</em>:
      Tento odkaz Vás vezme na novou stránku, kde můžete
      integrovat Brim do Vašeho prohlížeče (pouze Opera, Mozilla
      Firefox a Netscape).
		</li>
		<li><em>Quickmark</em>:
      Kliknutím pravým tlačítkem myši na následující odkaz se přidá
      Quickmark do Záložek/Oblíbených ve Vašem <b>prohlížeči</b>.
      Pokaždé, když použijete Quickmark ve Vašem prohlížeči, stránka,
      na níž se nacházíte, bude automaticky přidána do Záložek v
      aplikaci Brim.
			<br />
      Prosím klikněte na "OK", pokud budete tázáni na přidání záložky,
      kód, který "vybírá" adresu stránky, kterou chcete přidat do záložek,
      některé prohlížeče může "znervóznit".
		</li>
	</ul>
';
?>
