<?php
/**
 * Calendar queries
 * 
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta 
 * @package org.brim-project.plugins.calendar
 * @subpackage sql
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
$tableName = "brim_calendar_event";
include ("framework/sql/itemQueries.php");
$queries['addItem']=
		"INSERT INTO ".$tableName." VALUES (".
		"'', '%s', %d, %d, '%s', '%s', '%s', '%s', %d, '%s', '', '%s', '%s', %d, '%s', %d, '%s', '%s', '%s', '%s', '%s')";	
$queries['getEvents']=
		"SELECT * FROM ".$tableName." WHERE ".
			"owner='%s' AND ".
			"event_start_date<='%s' AND (event_end_date >='%s' ".
			"OR event_end_date='1970-01-01 00:00:00'  ".
			"OR event_end_date='1970-01-01 01:00:00'  ".
			"OR event_end_date='0000-00-00 00:00:00')".
			"AND frequency='repeat_type_none' ".
			"ORDER BY event_start_date ";
$queries['getDailyEvents']=
		"SELECT * FROM ".$tableName." WHERE ".
			"owner='%s' AND ".
			"event_start_date<='%s' AND (event_recurring_end_date >='%s' ".
			"OR event_end_date='1970-01-01 00:00:00' ".
			"OR event_end_date='1970-01-01 01:00:00' ".
			"OR event_end_date='0000-00-00 00:00:00')".
			"AND frequency='repeat_type_daily' ".
			"ORDER BY event_start_date ";
$queries['getYearlyEvents']=
		"SELECT * FROM ".$tableName." WHERE ".
			"owner='%s' ".
			"AND event_start_date<='%s' ".
			"AND event_start_date LIKE '%%-%s-%s %%' ".
			"AND frequency='repeat_type_yearly' ".
			"AND ".
			"(event_recurring_end_date >= '%s' OR ".
			"event_recurring_end_date = '1970-01-01 00:00:00' OR ".
			"event_recurring_end_date = '1970-01-01 01:00:00' OR ".
			"event_recurring_end_date = '0000-00-00 00:00:00') ".
			"ORDER BY event_start_date ";
$queries['getMonthlyEvents']=
		"SELECT * FROM ".$tableName." WHERE ".
			"owner='%s' AND ".
			"event_start_date<='%s' AND ".
			"(event_recurring_end_date >='%s' OR ".
			"event_recurring_end_date = '1970-01-01 00:00:00' OR ".
			"event_recurring_end_date = '1970-01-01 01:00:00' OR ".
			"event_recurring_end_date = '0000-00-00 00:00:00') ".
			"AND event_start_date LIKE '%%-%%-%s %%' ".
			"AND frequency='repeat_type_monthly' ".
			"ORDER BY event_start_date ";
$queries['getWeeklyEvents']=
		"SELECT * FROM ".$tableName." WHERE ".
			"owner='%s' AND ".
			"event_start_date<='%s' AND ".
			"(event_recurring_end_date >='%s' OR ".
			"event_recurring_end_date = '1970-01-01 00:00:00' OR ".
			"event_recurring_end_date = '1970-01-01 01:00:00' OR ".
			"event_recurring_end_date = '0000-00-00 00:00:00') ".
			"AND frequency='repeat_type_weekly' ".
			"AND by_what_value LIKE '%s' ".
			"ORDER BY event_start_date ";
$queries['modifyItem']=
		"UPDATE ".$tableName." SET ".
		"parent_id=%d, ".
		"name='%s', ".
		"description='%s', ".
		"visibility='%s',  ".
		"category='%s',  ". 
		"is_deleted=%d, ".
		"when_modified='%s', ".
		"location='%s', ".
		"organizer='%s', ".
		"priority =%d, ".
		"frequency='%s', ".
		"event_interval=%d, ".
		"by_what='%s', ".
		"by_what_value='%s', ".
		"event_start_date='%s', ".
		"event_end_date='%s', ".
		"event_recurring_end_date='%s' ".
		"WHERE item_id=%d";
