<?php

include 'framework/view/globalFunctions.php';
require_once 'framework/util/DateUtils.php';

include 'ext/javascript/datePicker.js' ;
/**
 * The template file that draws the layout to add a tasks.
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta 
 * @package org.brim-project.plugins.calendar
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$dateUtils = new DateUtils ();
if (!isset ($requestedDate))
{
	$requestedDate = date ('Y-m-d');
}
$recurringEndDate = $requestedDate;

//die (print_r ($renderObjects));
//
// Default is to use duration and not the enddate
//
$useStartTime = true;
$useDuration = true;
$useEndDate = false;
$durationHours = '00';
$durationMinutes = '00';
$useRecurringEndDate = false;
if (!isset ($viewAction))
{
	$viewAction = 'show';
}
if ($viewAction == 'modify')
{
	$startDate = date ('Y-m-d', $renderObjects->eventStartDate);
	$startHours = date ('H', $renderObjects->eventStartDate);
	$startMinutes = date ('i', $renderObjects->eventStartDate);

	$endDate = date ('Y-m-d', $renderObjects->eventEndDate);
	$endHours = date ('H', $renderObjects->eventEndDate);
	$endMinutes = date ('i', $renderObjects->eventEndDate);

	$recurringEndDate = 
		date ('Y-m-d', $renderObjects->eventRecurringEndDate);
	if ($recurringEndDate == '1970-01-01')
	{
		$recurringEndDate = date ('Y-m-d');
		$useRecurringEndDate = false;
	}
	else
	{
		$useRecurringEndDate = true;
	}
	if ($startDate < $endDate)
	{
		$useDuration = false;
		$useEndDate = true;
	}
	else
	{
		$diff = ($renderObjects->eventEndDate - $renderObjects->eventStartDate);
		$durationHours = date ('H', $diff) - 1;
		$durationMinutes = date ('i', $diff);
		if ($diff == 0 && date ('H:i',$renderObjects->eventEndDate)=='00:00')
		{
			$useDuration = false;
			$useStartTime = false;
		}
	}
}
else
{
	$startDate = date ('Y-m-d', $requestedDate);
	$endDate = date ('Y-m-d', $requestedDate);
	$startHours = '00';
	$startMinutes = '00';
	$endHours = '00';
	$endMinutes = '00';
}

$startDateYear = $dateUtils->getYearFromDate ($startDate);
$startDateMonth = $dateUtils->getMonthFromDate ($startDate);
$startDateDay = $dateUtils->getDayInMonthFromDate ($startDate);
$startDateHour = $dateUtils->getHoursFromDate ($startDate);
$startDateMinutes = $dateUtils->getMinutesFromDate ($startDate);

$endDateYear = $dateUtils->getYearFromDate ($endDate);
$endDateMonth = $dateUtils->getMonthFromDate ($endDate);
$endDateDay = $dateUtils->getDayInMonthFromDate ($endDate);
$endDateHour = $dateUtils->getHoursFromDate ($endDate);
$endDateMinutes = $dateUtils->getMinutesFromDate ($endDate);


$useRecurrence=false;
if (isset ($renderObjects->frequency) && 
	$renderObjects->frequency!='repeat_type_none')
{
	$useRecurrence=true;
}
?>

<script language="JavaScript">

/**
 * The hidden input field (selectingDate) is used to keep track of which field
 * we are actually selecting with the datePicker tool. A selection
 * on the value of this field is done in the datePickerClosed
 * function which updates the appropriate date fields
 */
function selectDateValue (value)
{
	document.forms[0].selectingDate.value = value;
}

/**
 * The datePicker has been closed (and a date has been selected)
 * so update the appropriate date fields based on the value in the
 * hidden input field (selectingDate)
 */
function datePickerClosed (date)
{
	var theDate = getFieldDate (date.value);
	var year = theDate.getFullYear ();
	var month = theDate.getMonth ()+1;
	var day = theDate.getDate ();
        if (day < 10)
        {
                day = '0' + day;
        }
	switch (document.forms[0].selectingDate.value)
	{

		case "startDate":
			document.forms[0].start_year.value = year;
			document.forms[0].start_month.value = month;
			document.forms[0].start_day.value = day;
			break;
		case "endDate":
			document.forms[0].end_year.value = year;
			document.forms[0].end_month.value = month;
			document.forms[0].end_day.value = day;
			break;
		case "recurringEndDate":
			document.forms[0].recurringEndYear.value = year;
			document.forms[0].recurringEndMonth.value = month;
			document.forms[0].recurringEndDay.value = day;
			break;
	}
}
function enableStartTime ()
{
	document.getElementById('start_time_div').style.display='';
}

function disableStartTime ()
{
	document.getElementById('start_time_div').style.display='none';
	document.getElementById('duration_div').style.display='none';
	document.forms[0].durationHours.value = '00';
	document.forms[0].durationMinutes.value = '00';
	document.forms[0].start_time_hours.value = '00';
	document.forms[0].start_time_minutes.value = '00';
}
function disableEndDate ()
{
	document.getElementById('end_time_div').style.display='none';
	document.getElementById('duration_div').style.display='';
	document.forms[0].end_time_hours.value = '00';
	document.forms[0].end_time_minutes.value = '00';
}
function enableEndDate ()
{
	document.getElementById('end_time_div').style.display='';
	document.getElementById('start_time_div').style.display='';
	document.getElementById('duration_div').style.display='none';
	document.forms[0].durationHours.value = '00';
	document.forms[0].durationMinutes.value = '00';
}
function toggleStartTime ()
{
	if (document.forms[0].toggleTheStartTime.checked == "")
	{
		// Use a start time
		enableStartTime ();
		if (document.forms[0].toggleTheEndDate.checked == "")
		{
			// Use an end-date
			enableEndDate ();
		}
		else
		{
			disableEndDate ();
		}
	}
	else
	{
		disableStartTime ();
	}
}

function toggleEndDate ()
{
	if (document.forms[0].toggleTheEndDate.checked == "")
	{
		// Use an end-date
		enableEndDate ();
	}
	else
	{
		// Don't use an end date
		disableEndDate ();
		if (document.forms[0].toggleTheStartTime.checked == "")
		{
			// Use a start time
			enableStartTime ();
		}
		else
		{
			disableStartTime ();
		}
	}
}
function disableRecurrence ()
{
	document.forms[0].frequency.value="repeat_type_none";
	document.getElementById('recurring_div').style.display='none';
	document.getElementById('weekly_selection_div').style.display='none';
	document.getElementById('recurring_range_div').style.display='none';
}
function enableRecurrence ()
{
	document.getElementById('recurring_div').style.display='';
	document.getElementById('weekly_selection_div').style.display='';
	document.getElementById('recurring_range_div').style.display='';
}
function toggleRecurrence ()
{
	if (document.forms[0].recurrence.checked == "")
	{
		// No recurring
		disableRecurrence ();
	}
	else
	{
		// Enable recurring
		enableRecurrence ();
	}
}


</script>
<?php 
	include 'ext/javascript/datePicker.css';
	if (file_exists('templates/'.$_SESSION['brimTemplate'].'/datePicker.css'))
	{
		include 'templates/'.$_SESSION['brimTemplate'].'/datePicker.css';
	}
?>
<table>
<tr>
	<td>
		<table cellpadding="0" cellspacing="0" >
			<tr>
				<td><img src="plugins/calendar/view/pics/months/<?php 
				echo date ('n', $requestedDate) ?>.gif"></td>
			</tr>
			<tr>
				<td><img src="plugins/calendar/view/pics/days/<?php 
				echo date ('j', $requestedDate) ?>.gif"></td>
			</tr>
		</table>
	</td>
	<td><h2><?php if (isset ($pageTitle)) { echo $pageTitle; } ?></h2></td>
</tr>
<?php 
	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php">';
		echo '<input type="hidden" name="plugin" value="calendar" />';
	}
	// This hidden field is used to indicate with which date fields
	// we are actually working and is triggered by a javascript call
	echo '<input type="hidden" name="selectingDate" />';

	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}
	echo standardTableRowInput ('name',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput ('location',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowTextarea ('description',
		$dictionary, $viewAction, $renderObjects);

	
if (!($renderObjects->isParent))
{
?>
<!--
	Start time option
-->	
<tr>
	<td>
		<?php echo $dictionary['start_date']; ?>:
	</td>
	<td>
		<input type="checkbox" name="toggleTheStartTime" 
		<?php if (!$useStartTime) { ?>
			checked="checked"
		<?php } ?>
			onClick="javascript:toggleStartTime();" /> 
		&nbsp;<?php echo $dictionary['dontUseStartTime']; ?>
	</td>
</tr>
<!--
	The start day dropdown boxes
-->
<tr>
	<td>
		&nbsp;
	</td>
	<td>
		<select name="start_month">
			<?php echo monthOptionBox ($dictionary, $startDateMonth); ?>
		</select>
		<select name="start_day">
			<?php echo dayOptionBox ($dictionary, $startDateDay); ?>
		</select>
		<select name="start_year">
			<?php echo yearOptionBox ($startDateYear, 10, 10); ?>
		</select>
		<input type="hidden" name="startDate" />
		<input type="button"  value="<?php echo $dictionary['select'] ?>"
			onclick="selectDateValue ('startDate'); displayDatePicker('startDate', this);" />
		<!--	
			Start time (visibility controlled by checkbox)
		-->	
		<div id="start_time_div" style="display:
			<?php if (!$useStartTime) { echo('none'); } ?>
		">
			<input type="text" size="2" name="start_time_hours" 
				value="<?php echo $startHours; ?>" />
			&nbsp;:&nbsp;
			<input type="text" size="2" name="start_time_minutes"  
				value="<?php echo $startMinutes; ?>" />
			&nbsp;
			<?php echo $dictionary['start_time']; ?>
		</div>
		<div id="duration_div" style="display:
			<?php if (!$useDuration) { echo ('none'); } ?>
		">
			<!--
				TODO TBD FIXME BARRY I18N
			-->
			<input type="text" size="2" name="durationHours"
				value="<?php echo $durationHours; ?>"
		   	/>
			&nbsp;:&nbsp;
			<input type="text" size="2" name="durationMinutes" 
				value="<?php echo $durationMinutes; ?>"
			/>
			&nbsp;<?php echo $dictionary['duration'] ?>
		</div>
	</td>
</tr>
<!--
	End date selection
-->
<tr>
	<td>
		<?php echo $dictionary['end_date']; ?>:
	</td>
	<td>
		<input type="checkBox" name="toggleTheEndDate"
			<?php if (!$useEndDate) { echo ' checked="checked" '; } ?>
			onclick="javascript:toggleEndDate();"
		>
		&nbsp;<?php echo $dictionary['dontUseEndDate'] ?>
	</td>
</tr>
<!--
	End indication date
-->
<tr>
	<td>
		&nbsp;
	</td>
	<td>
		<div id="end_time_div" style="display:
			<?php if (!$useEndDate) { echo 'none'; } ?>
		">
			<input type="hidden" name="useEndDate"
			<?php
				if ($useEndDate) { echo ' value="true" />'; }
				else { echo ' value="false" />'; }
			?>
			<select name="end_month">
				<?php echo monthOptionBox ($dictionary, $endDateMonth); ?>
			</select>
			<select name="end_day">
				<?php echo dayOptionBox ($dictionary, $endDateDay); ?>
			</select>
			<select name="end_year">
				<?php echo yearOptionBox ($endDateYear, 10, 10); ?>
			</select>
			<input type="hidden" name="endDate" />
			<input type="button"  value="<?php echo $dictionary['select'] ?>" 
				onclick="selectDateValue ('endDate'); displayDatePicker('endDate', this);" />
			<br />
			<input type="text" size="2" name="end_time_hours" 
				value="<?php echo $endHours; ?>" />
			&nbsp;:&nbsp;
			<input type="text" size="2" name="end_time_minutes" 
				value="<?php echo $endMinutes; ?>" />
			&nbsp;<?php echo $dictionary['end_time']; ?>
		</div>
	</td>
</tr>
<tr>
	<td>
		<?php echo $dictionary['priority'] ?>:
	</td>
	<td>
		<select name="priority">
		<?php 
			$this->plugin ('options', array (1,2,3,4,5), $item->priority);
		?>
		</select>
	</td>
</tr>
<tr>
	<td>
		<?php echo $dictionary['recurrence'] ?>:
	</td>
	<td>
		<input type="checkbox" name="recurrence"
		<?php if ($useRecurrence) { ?>
			checked="checked" 
		<?php } ?>
		onClick="javascript:toggleRecurrence();">
		&nbsp;<?php echo $dictionary['enableRecurring'] ?>
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td>
		<div id="recurring_range_div" style="display:
		<?php if (!$useRecurrence) { ?>
			none
		<?php } ?>
		">
		<?php echo $dictionary['recurrenceRange'] ?>:<br />
		<input type="radio" value="noRecurrenceEnding" class="radio" 
			<?php if (!$useRecurringEndDate) { ?>
				checked="checked"
			<?php } ?>
		name="recurringEnding">
		&nbsp;<?php echo $dictionary['noEndingDate'] ?>
		<input type="radio" value="recurringEnding" class="radio" 
			<?php if ($useRecurringEndDate) { ?>
				checked="checked"
			<?php } ?>
		name="recurringEnding">
		&nbsp;<?php echo $dictionary['endBy'] ?>:
		<select name="recurringEndMonth">
			<?php echo monthOptionBox ($dictionary, 
				$dateUtils->getMonthFromDate ($recurringEndDate));
			?>
		</select>
		<select name="recurringEndDay">
			<?php echo dayOptionBox ($dictionary, 
				$dateUtils->getDayInMonthFromDate ($recurringEndDate));
			?>
		</select>
		<select name="recurringEndYear">
			<?php echo yearOptionBox ($dateUtils->getYearFromDate 
					($recurringEndDate), 50, 50);
			?>
		</select>
		<input type="hidden" name="recurringEndDate" />
		<input type="button"  value="<?php echo $dictionary['select'] ?>" 
			onclick="selectDateValue ('recurringEndDate'); displayDatePicker('recurringEndDate', this);" />
		</div>
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td>
		<div id="recurring_div" style="display:
		<?php if (!$useRecurrence) { ?>
			none
		<?php }  ?>
		">
<?php
		$repeatType = array ('none', 'daily', 'weekly', 'monthly', 'yearly');
		echo $dictionary['repeat_type'].':&nbsp;';
		echo '<select name="frequency">';
		foreach ($repeatType as $type)
		{
			echo '<option value="repeat_type_'.$type.'" ';
			if ($renderObjects->frequency == 'repeat_type_'.$type)
			{
				echo 'selected="selected" ';
			}
			echo '>';
			echo $dictionary['repeat_type_'.$type];
			echo '</option>'; 
		}
?>
	</div>
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td>
		<div id="weekly_selection_div" style="display:
			<?php if (!$useRecurrence) { ?>
				none
			<?php } ?>
		">
					<!--
			Weekly recurring, every&nbsp;
			<input type="text" size="2" value="1">
			&nbsp;week(s)<br />
			-->
			<?php echo $dictionary['repeat_day_weekly']; ?>&nbsp;<br />
			<?php
				for ($i=0; $i<7; $i++)
				{
					echo ($dictionary['day'.$i.'short'].':
						<input type="checkbox"
						name="repeat_day_weekly_'.$i.'" ');
					if (isset ($renderObjects->byWhatValue))
					{
						if ($renderObjects->byWhatValue{$i} == 1)
						{
							echo ('checked="checked" ');
						}
					}
					echo ('>&nbsp;');
				}
			?>
		</div>
	</td>
</tr>
<?php
} // end if !isParent
?>
</table>
<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText ($dictionary, $renderObjects);
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndText ($dictionary, $parentId);
	}

	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo '</form>';
	}

	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php" ';
		echo 'onsubmit="return confirmDelete()">';
		echo '<input type="hidden" name="plugin" value="calendar" />';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}
    echo '<form method="POST" action="index.php">';
	echo '<input type="hidden" name="plugin" value="calendar" />';
	echo cancelButtonAndText ($dictionary, $parentId);
	echo '</form>';
	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
?>
