<?php

require_once 'framework/util/StringUtils.php';
include 'framework/view/globalFunctions.php';

/**
 * The template file that draws the layout to add income/expenses
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2005
 * @package org.brim-project.plugins.checkbook
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$stringUtils = new StringUtils ();
$transferId = 0;
if (isset ($renderObjects->transferId))
{
		$transferId = $renderObjects->transferId;
}

?>
<script language="JavaScript">
<!--
	function toggleSign ()
	{
			//var minus = aNumber.indexOf ('-');
			var result = 0;
			var amount = 0;
			var aNumber = document.forms[0].amount.value;
			var expenseChecked = 
				document.forms[0].isExpense.item(1).checked;
			if (expenseChecked)
			{
				// Expense - negative amount
				if (aNumber.indexOf ('+') >= 0)
				{
					amount = aNumber.split ('+');
					result = '-'+amount[1];
				}
				else
				{
					if (aNumber.indexOf ('-') >= 0)
					{
						// If we have manually set the amount to
						// negative (-) and click on expense afterwards
						// do not toggle sign in that case
						result = aNumber;
					}
					else
					{
						result = '-'+aNumber;
					}
				}
			}
			else
			{
				// Income - positive amount
				if (aNumber.indexOf ('-') >= 0)
				{
					amount = aNumber.split ('-');
					result = '+'+amount[1];
				}
				else
				{
					if (aNumber.indexOf ('+') >= 0)
					{
						// If we have manually set the amount to
						// positive (+) and click on income afterwards
						// do not toggle sign in that case
						result = aNumber;
					}
					else
					{
						result = '+'+aNumber;
					}
				}	
			}
			document.forms[0].amount.value = result;
	}
// -->
</script>
<h2>
	<?php echo $pageTitle ?>
</h2>

<form method="POST" action="index.php">
<input type="hidden" name="plugin" value="checkbook" />
<table>
<?php
	if ($transferId > 0)
	{
		// Notify if we are modifying a transfer item
		$parameters['errors'][] = 'modifyTransfer'; 
	}
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}

	echo standardTableRowInput ('name',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowFolderItemRadios
		($dictionary, $viewAction, 'checkbook');
	echo standardTableRowPublicPrivateRadios
		($dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput  ('amount',
		$dictionary, $viewAction, $renderObjects);

	echo '<tr><td>'.$dictionary['type'].'</td>';
	// 
	// Second field contains the names and values
	//
	echo '<td>';
        echo $dictionary['income'].':&nbsp;';
	echo '<input type="radio" class="radio" ';
	echo 'name="isExpense" value="0" ';
	echo 'onClick="javascript:toggleSign()" ';
	if (isset ($item->amount) && $item->amount > 0)
	{
		echo 'checked="checked" ';
	}
	echo '/>';
	echo '<br />';
	echo $dictionary['expense'].':&nbsp;';
	echo '<input type="radio" class="radio" ';
	echo 'name="isExpense" value="1" ';
	echo 'onClick="javascript:toggleSign()" ';
	if (isset ($item->amount) && $item->amount <= 0)
	{
		echo 'checked="checked" ';
	}
	echo '/>';
	echo '</td>';
	echo '</tr>';

	
	echo '<tr>';
	echo '<td>';
	echo $dictionary['date'].':';
	echo '</td>';
	echo '<td>';
	if ($viewAction == 'modify')
	{
		$theDate = $renderObjects->paymentDate;
	}
	else
	{
		$theDate = date ('Y-m-d');
	}
	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo '<select name="paymentDateMonth">';
		echo monthOptionBox ($dictionary,
		$dateUtils->getMonthFromDate ($theDate));
		echo '</select>';
		echo '<select name="paymentDateDay">';
		echo dayOptionBox ($dictionary, 
			$dateUtils->getDayInMonthFromDate ($theDate));
		echo '</select>';
		echo '<select name="paymentDateYear">';
		echo yearOptionBox ($dateUtils->getYearFromDate ($theDate), 10, 10);
		echo '</select>';
	}
	else
	{
		echo (date ('Y-m-d H:i', strtotime ($theDate)));
	}
	echo '</td>';
	echo '</tr>';
	echo standardTableRowInput  ('participator',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput  ('paymentType',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput  ('reference',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowTextarea ('description',
		$dictionary, $viewAction, $renderObjects);
?>
</table>

<?php
	echo '<input type="hidden" value="'.$transferId.'" ';
	echo 'name="transferId" />';
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText ($dictionary, $renderObjects);
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndText ($dictionary, $parentId);
	}
?>
</form>

<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php"> ';
		echo '<input type="hidden" name="plugin" value="checkbook" />';
		echo moveButtonAndText ($dictionary, $renderObjects);
		echo '</form>';

		echo '<form method="POST" action="index.php" ';
		if ($renderObjects->transferId > 0)
		{
			echo 'onsubmit="return confirm (\'';
			echo $dictionary['confirmDeleteTransfer'];
			echo '\'); "  ';
		}
		else
		{
			echo 'onsubmit="return confirmDelete()" ';
		}
		echo '/>';
		echo '<input type="hidden" name="plugin" value="checkbook" />';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}

	echo '<form method="POST" action="CheckbookController.php">';
	echo cancelButtonAndText ($dictionary, $parentId);
	echo '</form>';

	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
?>
