
<?php
/**
 * This file is part of the Brim project.
 * The brim project is located at the following
 * location: {@link http://www.brim-project.org http://www.brim-project.org}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen
 * @package org.brim-project.plugins.collections
 * @subpackage i18n
 *
 * @copyright Brim - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary = array ();
}
$dictionary['album']='Album';
$dictionary['artist']='Knstler';
$dictionary['basicEntry']='Grundeintrag';
$dictionary['charset']='iso-8859-1';
$dictionary['createPlaylist']='Abspielliste erstellen';
$dictionary['created']='erstellt am';
$dictionary['entry']='Sammlung/Eintrag';
$dictionary['entryName']='Eintrag';
$dictionary['fulltext']='Volltext';
$dictionary['genre']='Art';
$dictionary['isoEntry']='iso Infos';
$dictionary['item_help']='	<p>
        Mit dem Plugin "Sammlung" behalten Sie den berblick ber Ihre CD/DVD/Musik/Bcher Sammlung.
        Das Plugin erlaubt es Ihnen Eintrge durch einlesen einer CD oder Ordners automatisch zu erstellen,
        oder Eintrge manuell zu erstellen.<br>
Das Plugin erlaubt es die Datei eines Eintrages mit einem gltigen Pfad des WEB servers per Internet anzuschauen.
	</p>
    <p>
        Klicken Sie auf das Symbol am Anfang einer Linie,
        um den Eintrag anzusehen, zu verndern oder zu lschen.
    </p>
    <p>
        Um einen Eintrag zu verschieben, benutzen Sie
        Bearbeiten-> Verschieben, und klicken dann auf den Zielordner.
    </p>
    <p>
		Folgende Angaben kann ein Eintrag enthalten:
	</p>
	<ul>
		<li><em>Name</em>:
			Name des Eintrags bzw. des zu erstellenden Ordners.
		</li>
		<li><em>Ordner/Eintrag</em>:
            Damit wird gewhlt, ob ein Ordner oder ein Eintrag hinzugefgt wird.
            Diese Einstellung kann nach dem Erstellen nicht mehr verndert werden.
		</li>
		<li><em>Element freigeben/privates Element</em>:
            Damit legen Sie fest, ob das Element fr andere Benutzer oder
            nur fr Sie sichtbar ist.
			<br />
            Beachten Sie, dass der Eintrag nur fr andere sichtbar wird,
            wenn der bergeordnete Ordner auch freigegeben ist.
			(Der "Root"-Ordner ist immer freigegeben)
		</li>
		<li><em>Beschreibung</em>:
			Hier knnen Sie Kommentare und Notizen hinzufgen.
		</li>
	</ul>
	<p>
		The submenus that are available for the collections plugin
		are Actions, View, Preferences and Help.
	</p>
	<h3>Actions</h3>
	<ul>
		<li><em>Add</em>:
			This action presents the user with an input form
			in which the collections\' parameters can be entered.<br>
            When you fill in a valid path, the specified directory will be scanned
            and the tree structure with additional information will be stored
            in the database automatically.
            Otherwise you can enter the genre and arthist for a basic manual entry.
		</li>
		<li><em>Search</em>:
			This action allows to user to search for folders or collection entries.
            It is a full text search on all text fields.
		</li>
        <li>
            Multiple select: This action allows the user to select multiple collection entries
            at the same time (folders are NOT selectable using this option) and either delete them
            all at once or move them all to a specific folder.
        </li>
	</ul>
	<h3>View</h3>
	<ul>
		<li><em>Expand</em>:
			This action tells the system to open all
			folders and show all items available. This is only
			applicable for the Tree structure view.
		</li>
		<li><em>Collapse</em>:
			This action tell the system to show only the items (either
			folders or notes) of the current selected folder.
		</li>
		<li><em>Directory structure</em>:
			This action tells the system to switch to the directory
			structure overview. This view shows the collection entries in a way
			that is similar to the way Yahoo! shows its directory
			structure.
			<br />
			The number of columns can for this view can be set in the
			notes specific preferences.
		</li>
		<li><em>Tree structure</em>:
			This action tells the system to switch to an overview
			that is similar to the way Explorer and many other
			file managers show the layout of a filesystem.
		</li>
        <li><em>Line based</em>:
			This tells the system to show a layout which contains details
            of the collection entries per line.
		</li>
		<li><em>See shared</em>:
			Display all public collection entries of all users mixed with your
			collection entries (regardless whether they are public or private).
		</li>
		<li><em>See owned</em>:
			Show only your collection entries (as opposed to "see shared")
		</li>
	</ul>
	<h3>Preferences</h3>
	<ul>
		<li><em>Modify</em>:
			Modifies your CDCollection specific preferences. You can modify
			the column count for collection entries when the are displayed in the
			directory overview structure, you can modify whether you
			wish javascript popups when you hover over the links
			and you can modify what the default view for CDCollection should
			be (either directory or tree based).<br>
			Es kann ausgewhlt werden, ob die Datei in einem neuen Fenster
			des Web Browsers oder im selben Fenster geffnet wird.
		</li>
	</ul>
';
$dictionary['item_quick_help']='<p>
    Klicken Sie auf das Symbol am Anfang einer Linie,<br>
    um den Eintrag anzusehen, zu verndern oder zu lschen.
    <br>
    Um einen Eintrag zu verschieben, benutzen Sie<br>
    Bearbeiten-> Verschieben, und klicken dann auf den Zielordner.<br>
    <small>Automatisch generierte Eintrge knnen<br>
    nicht verndert werden.</small>';
$dictionary['item_title']='Sammlung';
$dictionary['localPath']='nur lokale pfade des web-servers verwenden!';
$dictionary['modifyCollectionsPreferences']='ndern der Sammlungs-Einstellungen';
$dictionary['mp3Entry']='mp3 Infos';
$dictionary['name']='Name';
$dictionary['path']='Pfad';
$dictionary['pathNotFound']='Pfad is nicht gltig!';
$dictionary['pathPreference']='Eintstellungen "WEB sever temp Verzeichnis Alias" und
								"WEB sever temp Pfad" mssen korrekt sein!!!';
$dictionary['play']='Abspielen';
$dictionary['playtime']='Dauer';
$dictionary['publisher']='Herausgeber';
$dictionary['readTree']='Pfad einlesen';
$dictionary['size']='Grsse';
$dictionary['song']='Lied';
$dictionary['system']='Betriebsystem';
$dictionary['thumbnailTree']='Miniaturansicht';
$dictionary['track']='Lied';
$dictionary['truncate_size']='anzuzeigende Textlnge';
$dictionary['uncompressed_size']='ausgepackte Grsse';
$dictionary['volume']='Name';
$dictionary['volume_set']='Set';
$dictionary['when_created']='Erstellungsdatum';
$dictionary['when_modified']='nderungsdatum';
$dictionary['when_used']='benutzt am';
$dictionary['zipEntry']='zip Infos';
$dictionary['zipfiles_count']='Anzahl Dateien';

?>