<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Ladislav Urbanek
 * @package org.brim-project.plugins.contacts
 * @subpackage i18n
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}
$dictionary['charset']='utf-8';

$dictionary['address']='Adresa';
$dictionary['alias']='Přezdívka';
$dictionary['birthday']='Narozeniny';
$dictionary['email']='E-mail';
$dictionary['email1']='E-mail 1';
$dictionary['email2']='E-mail 2';
$dictionary['email3']='E-mail 3';
$dictionary['faximile']='Fax';
$dictionary['item_title']='Kontakty';
$dictionary['job']='Zaměstnání';
$dictionary['mobile']='Mobil';
$dictionary['modifyContactPreferences']='Upravit předvolby pro Kontakty';
$dictionary['org_address']='Adresa organizace';
$dictionary['organization']='Organizace';
$dictionary['tel_home']='Tel. domů';
$dictionary['tel_work']='Tel. práce';
$dictionary['webaddress']='WWW';
$dictionary['item_help']='
	<p>
		Plugin Kontakty umožňuje spravovat Vaše kontakty online. Následující
		parametry lze nastavit každému kontaktu:
	</p>
	<ul>
		<li><em>Název</em>:
			Název kontaktu.
		</li>
		<li><em>Složka/Kontakt</em>:
     Indikátor zdali položka k přidání je složka nebo kontakt.
      Jakmile je tahle volba vybrána, nemůže být později změněna.
		</li>
		<li><em>Veřejná/Soukromá položka</em>:
      Indikátor, zdali tato položka je veřejná nebo pouze pro Vaše oči.
			<br />
			Pokud chcete aby konkrétní položka byla veřejná,
			její nadřazená kategorie musí být taktéž veřejná!
			(Nejvyšší úroveň je automaticky nastavena jako veřejná.)
		</li>
		<li><em>Tel. domů</em>:
			Číslo domácího telefonu.
		</li>
		<li><em>Tel. práce</em>:
			Telefon do práce.
		</li>
		<li><em>Fax</em>:
			Faxové číslo
		</li>
		<li><em>E-mail 1</em>:
			Každý kontakt může mít až tři e-mailové adresy,
			toto je první z nich.
		</li>
		<li><em>Email 2</em>:
			Každý kontakt může mít až tři e-mailové adresy,
			toto je druhá z nich.
		</li>
		<li><em>Email 3</em>:
			Každý kontakt může mít až tři e-mailové adresy,
			toto je třetí z nich.
		</li>
		<li><em>WWW 1</em>:
			Každý kontakt může mít přiřazeny až tři webové adresy,
			toto je první z nich.
		</li>
		<li><em>WWW 2</em>:
			Každý kontakt může mít přiřazeny až tři webové adresy,
			toto je druhá z nich.
		</li>
		<li><em>WWW 3</em>:
			Každý kontakt může mít přiřazeny až tři webové adresy,
			toto je třetí z nich.
		</li>
		<li><em>Pracovní zařazení</em>:
			Pracovní zařazení dané osoby.
		</li>
		<li><em>Přezdívka</em>:
			Přezdívka dané osoby (lze podle ní vyhledávat).
		</li>
		<li><em>Organizace</em>:
			Organizace/společnost, pro kterou osoba pracuje.
		</li>
		<li><em>Adresa</em>:
			Bydliště osoby.
		</li>
		<li><em>Adresa organizace</em>:
			Sídlo organizace/společnosti, pro kterou osoba pracuje.
		</li>
		<li><em>Popis</em>:
			Popis osoby
		</li>
	</ul>
	<p>
		Podmenu které jsou dostupné pro plugin Novinky jsou:
		Akce, Zobrazení, Třídit, Volby.
	</p>
	<h3>Akce</h3>
	<ul>
		<li><em>Přidat</em>:
			Pomocí této akce je zobrazen formulář, do kterého je možné
			vložit parametry kontaktu.
		</li>
		<li><em>Vícenásobný výběr</em>:
			Tato volba umožňuje vybrat více kontaktů naráz (NEPLATÍ pro složky)
			a tyto označené naráz smazat nebo je přesunout do jiné složky.
		</li>
		<li><em>Importovat</em>:
			Pomocí této volby lze importovat kontatky. V tuto chvíli je možné
			importovat z prohlížeče Opera a z formátu vCard.
			<br />
			Během importu je možné zvolit, jestli importované položky budou
			veřejné nebo soukromé. Tato volba se uplatní pro všechny importované
			položky.
			<br />
			Je možné provést import z jednoho konkrétního adresáře,
			stačí vložit jeho jméno a vybrat "Import".
		</li>
		<li><em>Exportovat</em>:
			Touto volbou je možné provést export kontaktů. Podporované
			jsou formáty programu Opera a formát vCard (který lze importovat do mnoha
			poštovních programů a mnoha programů pro správu kontaktů).
		<li><em>Vyhledávání</em>:
			Pomocí této akce je možné vyhledávat v kontaktech podle jména, přezdívky,
			popisu nebo adresy.
		</li>
	</ul>
	<h3>Zobrazení</h3>
	<ul>
		<li><em>Rozbalit</em>:
			Touto volbou lze otevřít všechny složky a zobrazit všechny
			dostupné položky. Volbu lze použít pouze pro stromové zobrazení.
		</li>
		<li><em>Sbalit</em>:
			Tímto odkazem se zobrazí pouze položky (záložky nebo složky)
			aktuálně vybrané složky.
		</li>
		<li><em>Adresářová struktura</em>:
			Zvolením této možnosti bude struktura zobrazena jako adresářová
			struktura. Toto zobrazení je podobné tomu, jak Yahoo! zobrazuje
			svoji adresářovou strukturu.
			<br />
			Počet sloupců v tomto zobrazení může být nastaven v možnostech kontaktů.
		</li>
		<li><em>Stromová struktura</em>:
			Pomocí této možnosti bude struktura přepnuta do zobrazení, které je
			známé z Průzkumníku a mnoha dalších správců souborů.
		</li>
		<li><em>Řádkové zobrazení</em>:
			Díky této volbě budou kontakty zobrazeny po řádcích se spoustou detailů.
		</li>
		<li><em>Veřejné</em>:
			Zobrazí všechny veřejné kontakty všech uživatelů spolu s Vašimi
			kontakty (bez ohledu zda-li jsou sdílené nebo vlastní).
		</li>
		<li><em>Vlastní</em>:
			Zobrazí pouze Vaše záložky (opak k "Veřejné")
		</li>
	</ul>
	<h3>Třídit</h3>
	<ul>
		<li><em>Přezdívka</em>:
			Třídit podle přezdívky.
		</li>
		<li><em>E-mail 1</em>:
			Třídit kontakty podle primárního emailu.
		</li>
		<li><em>Organizace</em>:
			Třídit podle organizace.
		</li>
	</ul>
	<h3>Volby</h3>
	<ul>
		<li><em>Upravit</em>:
			Zde lze upravit vlastnosti kontaktů. Můžete změnit počet sloupců
			pro adresářové zobrazení, lze de-/aktivovat Javascriptové
			informační pop-up okna, která se zobrazují při najetí kurzorem na odkaz.
			Lze také předvolit způsob zobrazení záložek (adresářové, řádkové
			nebo stromové).
		</li>
	</ul>
';
?>
