<?php

include 'framework/view/globalFunctions.php';

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.contacts
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

function params ($action, $fieldValue)
{
	$result = '';
	if ($action == 'show')
	{
		$result .= 'editable="false" ';
	}
	if ($action == 'show' || $action == 'modify')
	{
		if (isset ($fieldValue) && $fieldValue != '')
		{
			$result .= 'value='.$fieldValue.' ';
		}
	}
	return $result;
}	

?>
<h2>
	<?php echo $pageTitle; ?>
</h2>

<form method="POST" action="index.php">
<input type="hidden" name="plugin" value="contacts" />
<table>

<?php
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages 
			($dictionary, $parameters['errors'], $icons);
	}
	echo standardTableRowInput ('name', 
		$dictionary, $viewAction, $renderObjects);

	echo standardTableRowFolderItemRadios
		($dictionary, $viewAction, 'contact');
	echo standardTableRowPublicPrivateRadios 
		($dictionary, $viewAction, $renderObjects);

	echo standardTableRowInput ('tel_home', 
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput ('tel_work', 
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput ('mobile', 
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput ('faximile', 
		$dictionary, $viewAction, $renderObjects);
?>
<tr>
	<td><?php echo $dictionary['email'] ?>&nbsp;1:
	</td>
	<td>
		<?php 
			// 
			// Show the email as hyperlink when we view
			// (as opposed to modifying or editing)
			//
			if ($viewAction == 'show')
			{
				echo ('<a href="mailto:'.$renderObjects->email1.'"');
				echo ('>'.$renderObjects->email1.'</a>');
			}
			else
			{		
				echo '<input type="text" ';
				echo 'class="text" ';
				echo 'name="email1" ';
				echo params ($viewAction, $renderObjects->email1); 
				echo '/>';
			}
		?>
	</td>
</tr>
<tr>
	<td><?php echo $dictionary['email'] ?>&nbsp;2:
	</td>
	<td>
		<?php 
			// 
			// Show the email as hyperlink when we view
			// (as opposed to modifying or editing)
			//
			if ($viewAction == 'show')
			{
				echo ('<a href="mailto:'.$renderObjects->email2.'"');
				echo ('>'.$renderObjects->email2.'</a>');
			}
			else
			{		
				echo '<input type="text" ';
				echo 'class="text" ';
				echo 'name="email2" ';
				echo params ($viewAction, $renderObjects->email2); 
				echo '/>';
			}
		?>
	</td>
</tr>
<tr>
	<td><?php echo $dictionary['email'] ?>&nbsp;3:
	</td>
	<td>
		<?php 
			// 
			// Show the email as hyperlink when we view
			// (as opposed to modifying or editing)
			//
			if ($viewAction == 'show')
			{
				echo ('<a href="mailto:'.$renderObjects->email3.'"');
				echo ('>'.$renderObjects->email3.'</a>');
			}
			else
			{		
				echo '<input type="text" ';
				echo 'class="text" ';
				echo 'name="email3" ';
				echo params ($viewAction, $renderObjects->email3); 
				echo '/>';
			}
		?>
	</td>
</tr>
<tr>
	<td><?php echo $dictionary['webaddress'] ?>&nbsp;1:
	</td>
	<td>
		<?php 
			// 
			// Show the webaddress as hyperlink when we view
			// (as opposed to modifying or editing)
			//
			if ($viewAction == 'show')
			{
				echo ('<a href="'.$renderObjects->webaddress1.'"');
				echo ('>'.$renderObjects->webaddress1.'</a>');
			}
			else
			{		
				echo '<input type="text" ';
				echo 'class="text" ';
				echo 'name="webaddress1" ';
				echo params ($viewAction, $renderObjects->webaddress1); 
				echo '/>';
			}
		?>
	</td>
</tr>
<tr>
	<td><?php echo $dictionary['webaddress'] ?>&nbsp;2:
	</td>
	<td>
		<?php 
			// 
			// Show the webaddress as hyperlink when we view
			// (as opposed to modifying or editing)
			//
			if ($viewAction == 'show')
			{
				echo ('<a href="'.$renderObjects->webaddress2.'"');
				echo ('>'.$renderObjects->webaddress2.'</a>');
			}
			else
			{		
				echo '<input type="text" ';
				echo 'class="text" ';
				echo 'name="webaddress2" ';
				echo params ($viewAction, $renderObjects->webaddress2); 
				echo '/>';
			}
		?>
	</td>
</tr>
<tr>
	<td><?php echo $dictionary['webaddress'] ?>&nbsp;3:
	</td>
	<td>
		<?php 
			// 
			// Show the webaddress as hyperlink when we view
			// (as opposed to modifying or editing)
			//
			if ($viewAction == 'show')
			{
				echo ('<a href="'.$renderObjects->webaddress3.'"');
				echo ('>'.$renderObjects->webaddress3.'</a>');
			}
			else
			{		
				echo '<input type="text" ';
				echo 'class="text" ';
				echo 'name="webaddress3" ';
				echo params ($viewAction, $renderObjects->webaddress3); 
				echo '/>';
			}
		?>
	</td>
</tr>
<?php
	echo standardTableRowInput ('job', 
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput ('alias', 
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput ('organization', 
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowTextarea ('address', 
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowTextarea ('org_address', 
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowTextarea ('description', 
		$dictionary, $viewAction, $renderObjects);
?>
</table>
<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText ($dictionary, $renderObjects); 
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndText ($dictionary, $parentId);
	}
?>
</form>
<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php">';
		echo '<input type="hidden" name="plugin" value="contacts" />';
		echo moveButtonAndText ($dictionary, $renderObjects);
		echo '</form>';
			
		echo '<form method="POST" action="index.php" ';
		echo 'onsubmit="return confirmDelete()">';
		echo '<input type="hidden" name="plugin" value="contacts" />';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}
    echo '<form method="POST" action="index.php">';
	echo '<input type="hidden" name="plugin" value="contacts" />';
    // cancel button
    echo cancelButtonAndText ($dictionary, $parentId);
    echo '</form>';
	if ($viewAction == 'add' || $viewAction == 'modify')
	{
			echo spellButtonAndText ($dictionary);
	}
?>
