<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Ladislav Urbanek
 * @package org.brim-project.plugins.news
 * @subpackage i18n
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}
$dictionary['charset']='utf-8';

$dictionary['item_quick_help']='Klikněte na ikonu u složky/položky pro přesunutí/smazání/editaci odkazu. Adresa Novinek je speciální URL (rssFeed/syndicate feed) a web obvykle oznamuje že má podporu<br /> pro Novinky zobrazením téhle ikony: <img src="plugins/news/view/pics/xml.gif"><br><br>Pro přesunutí odkazu do jiné složky nebo Rootu, <br>klikněte na Editovat  => Přesunout => klikněte na složku, kam chcete odkaz přesunout.';
$dictionary['item_title']='Novinky';
$dictionary['locatorMissing'] = "Odkaz musí být definován";
$dictionary['modifyNewsPreferences']='Upravit předvolby pro Novinky';
$dictionary['item_help']='
	<p>
		Plugin Novinky spravuje RSS zdroje a zdroje novinek online.
		Lze nastavit následující parametry:
	</p>
	<ul>
		<li><em>Název</em>:
			Název zdroje. Např.: \'Slashdot\'
		</li>
		<li><em>Složka/Novinka</em>:
      Indikátor zdali položka k přidání je složka nebo novinka.
      Jakmile je tahle volba vybrána, nemůže být později změněna.
		</li>
		<li><em>Veřejná/Soukromá položka</em>:
      Indikátor, zdali tato položka je veřejná nebo pouze pro Vaše oči.
			<br />
			Pokud chcete aby konkrétní položka byla veřejná,
			její nadřazená kategorie musí být taktéž veřejná!
			(Nejvyšší úroveň je automaticky nastavena jako veřejná.)
		</li>
		<li><em>URL</em>:
			URL záložky. URL musí začínat protokolem (např.: http://
      nebo ftp://), aby se záložkou bylo spravně zacházeno.
			Příklad: <code>http://slashdot.org/slashdot.rdf</code>
		</li>
		<li><em>Popis</em>:
			Popis zdroje, pokud je potřeba.
		</li>
	</ul>
	<p>
		Podmenu které jsou dostupné pro plugin Novinky jsou:
		Akce, Zobrazení, Třídit, Volby a Nápověda.
	</p>
	<h3>Akce</h3>
	<ul>
		<li><em>Přidat</em>:
			Pomocí této akce je zobrazen formulář, do kterého je možné
			vložit parametry zdroje.
			URL musí začínat platným identifikátorem protokolu
			(např. http:// or ftp://)
		</li>
		<li><em>Vícenásobný výběr</em>:
			Tato volba umožňuje vybrat více zdrojů naráz (NEPLATÍ pro složky)
			a tyto označené naráz smazat nebo je přesunout do jiné složky.
		</li>
		<li><em>Importovat</em>:
			Pomocí této volby lze importovat zdroje ze záložek. V tuto chvíli je možné
			importovat z prohlížeče Opera a z rodinny programů Netscape/Mozilla/Firefox.
			Pokud chcete importovat záložky z Internet Exploreru, je třeba je v tomto
			programu nejdříve exportovat. Tím vznikne soubor kompatibilní s programem
			Netscape, tento soubor je pak možné importovat do Brim.
			<br />
			Během importu je možné zvolit, jestli importované položky budou
			veřejné nebo soukromé. Tato volba se uplatní pro všechny importované
			položky.
			<br />
			Je možné provést import z jednoho konkrétního adresáře,
			stačí vložit jeho jméno a vybrat "Import".
		</li>
		<li><em>Exportovat</em>:
			Touto volbou je možné provést export zdrojů jako záložek. Podporované
			jsou formáty programů
			Opera, Netscape (dohromady s Mozillou a Firefoxem). Pokud chcete
			exportovat zdroje do Internet Exploreru, je třeba je nejdříve vyexportovat
			do formátu pro program Netscape a poté je do Internet Exploreru naimportovat
			z tohoto souboru.
		</li>
		<li><em>Vyhledávání</em>:
			Pomocí této akce je možné vyhledávat ve zdrojích podle jména, URL
			nebo popisu.
		</li>
	</ul>
	<h3>Zobrazení</h3>
	<ul>
		<li><em>Rozbalit</em>:
			Touto volbou lze otevřít všechny složky a zobrazit všechny
			dostupné položky. Volbu lze použít pouze pro stromové zobrazení.
		</li>
		<li><em>Sbalit</em>:
			Tímto odkazem se zobrazí pouze položky (záložky nebo složky)
			aktuálně vybrané složky.
		</li>
		<li><em>Adresářová struktura</em>:
			Zvolením této možnosti bude struktura zobrazena jako adresářová
			struktura. Toto zobrazení je podobné tomu, jak Yahoo! zobrazuje
			svoji adresářovou strukturu.
			<br />
			Počet sloupců v tomto zobrazení může být nastaven v možnostech novinek.
		</li>
		<li><em>Stromová struktura</em>:
			Pomocí této možnosti bude struktura přepnuta do zobrazení, které je
			známé z Průzkumníku a mnoha dalších správců souborů.
		</li>
		<li><em>Veřejné</em>:
			Zobrazí všechny veřejné novinky všech uživatelů spolu s Vašimi
			záložkami (bez ohledu zda-li jsou sdílené nebo vlastní).
		</li>
		<li><em>Vlastní</em>:
			Zobrazí pouze Vaše záložky (opak k "Veřejné")
		</li>
	</ul>
	<h3>Třídit</h3>
	<ul>
		<li><em>Poslední navštívené</em>:
			Zobrazí novinky dle data poslední návštěvy.
		</li>
		<li><em>Nejnavštěvovanější</em>:
			Zobrazí novinky dle návštěvnosti.
		</li>
		<li><em>Poslední vytvořené</em>:
			Zobrazí novinky dle data vytvoření.
		</li>
		<li><em>Poslední upravené</em>:
			Zobrazí novinky dle data poslední modifikace.
		</li>
	</ul>
	<h3>Volby</h3>
	<ul>
		<li><em>Upravit</em>:
			Zde lze upravit vlastnosti novinek. Můžete změnit počet sloupců
			pro adresářové zobrazení novinek, lze de-/aktivovat Javascriptové
			informační pop-up okna, která se zobrazují při najetí kurzorem na odkaz.
			Lze také předvolit způsob zobrazení záložek (adresářové nebo stromové
			zobrazení) a zda mají odkazy být otevírány do nového nebo aktuálního
			okna.
		</li>
	</ul>
';
?>
