<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Ladislav Urbanek
 * @package org.brim-project.plugins.notes
 * @subpackage i18n
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}
$dictionary['charset']='utf-8';

$dictionary['item_title']='Poznámky';
$dictionary['modifyNotePreferences']='Upravit předvolby pro Poznámky';
$dictionary['item_help']='
	<p>
		Plugin Poznámky Vám umožňuje spravovat Vaše
		poznámky on-line.
		Plugin může mít nastaven následující parametry:
	</p>
	<ul>
		<li><em>Název</em>:
			Název poznámky.
		</li>
		<li><em>Složka/Poznámka</em>:
			Indikuje zda-li je položka Složka nebo Poznámka.
      Jakmile je jednou nastavena,
			není možno ji někdy změnit.
		</li>
		<li><em>Sdílené/Soukromé</em>:
      Indikátor, zdali tato položka je veřejná nebo pouze pro Vaše oči.
			<br />
			Pokud chcete aby konkrétní položka byla veřejná,
			její nadřazená kategorie musí být taktéž veřejná!
			(Nejvyšší úroveň je automaticky nastavena jako veřejná.)
		</li>
		<li><em>Popis</em>:
			Popis poznámky, pokud je třeba.
		</li>
	</ul>
	<p>
		Podmenu které jsou dostupné pro plugin Poznámky jsou
		Akce, Zobrazení, Volby a Nápověda.
	</p>
	<h3>Akce</h3>
	<ul>
		<li><em>Přidat</em>:
			Pomocí této akce je zobrazen formulář, do kterého je možné
			vložit parametry poznámky.
		</li>
		<li><em>Vícenásobný výběr</em>:
			Tato volba umožňuje vybrat více poznámek naráz (NEPLATÍ pro složky)
			a tyto označené naráz smazat nebo je přesunout do jiné složky.
		</li>
		<li><em>Vyhledávání</em>:
			Pomocí této akce je možné vyhledávat v poznámkách podle
			jména nebo popisu.
		</li>
	</ul>
	<h3>Zobrazení</h3>
	<ul>
		<li><em>Rozbalit</em>:
			Touto volbou lze otevřít všechny složky a zobrazit všechny
			dostupné položky. Volbu lze použít pouze pro stromové zobrazení.
		</li>
		<li><em>Sbalit</em>:
			Tímto odkazem se zobrazí pouze položky (poznámky nebo složky)
			aktuálně vybrané složky.
		</li>
		<li><em>Adresářová struktura</em>:
			Zvolením této možnosti bude struktura zobrazena jako adresářová
			struktura. Toto zobrazení je podobné tomu, jak Yahoo! zobrazuje
			svoji adresářovou strukturu.
			<br />
			Počet sloupců v tomto zobrazení může být nastaven v možnostech poznámek.
		</li>
		<li><em>Stromová struktura</em>:
			Pomocí této možnosti bude struktura přepnuta do zobrazení, které je
			známé z Průzkumníku a mnoha dalších správců souborů.
		</li>
		<li><em>Veřejné</em>:
			Zobrazí všechny veřejné poznámky všech uživatelů spolu s Vašimi
			poznámkami (bezohledu zda-li jsou sdílené nebo vlastní).
		</li>
		<li><em>Vlastní</em>:
			Zobrazí pouze Vaše poznámky (opak k "Veřejné")
		</li>
	</ul>
	<h3>Volby</h3>
	<ul>
		<li><em>Upravit</em>:
			Zde lze upravit vlastnosti poznámek. Můžete změnit počet sloupců
			pro adresářové zobrazení poznámek, lze de-/aktivovat Javascriptové
			informační pop-up okna, která se zobrazují při najetí kurzorem na odkaz.
			Lze také předvolit způsob zobrazení poznámek (adresářové nebo stromové
			zobrazení).
		</li>
	</ul>
';
?>
