<?php

require_once 'framework/util/StringUtils.php';
include 'framework/view/globalFunctions.php';

/**
 * The template file that draws the layout to add a note.
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.notes
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$stringUtils = new StringUtils ();
?>
<h2>
	<?php echo $pageTitle ?>
</h2>

<form method="POST" action="index.php">
<input type="hidden" name="plugin" value="notes" />
<table>
<?php
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}

	echo standardTableRowInput ('name',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowFolderItemRadios
		($dictionary, $viewAction, 'note');
	echo standardTableRowPublicPrivateRadios
		($dictionary, $viewAction, $renderObjects);
	echo standardTableRowTextarea ('description',
		$dictionary, $viewAction, $renderObjects);
?>
</table>

<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText ($dictionary, $renderObjects);
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndText ($dictionary, $parentId);
	}
?>
</form>

<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php"> ';
		echo '<input type="hidden" name="plugin" value="notes" />';
		echo moveButtonAndText ($dictionary, $renderObjects);
		echo '</form>';

		echo '<form method="POST" action="index.php" ';
		echo 'onsubmit="return confirmDelete()">';
		echo '<input type="hidden" name="plugin" value="notes" />';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}

    echo '<form method="POST" action="index.php">';
	echo '<input type="hidden" name="plugin" value="notes" />';
    // cancel button
    echo cancelButtonAndText ($dictionary, $parentId);
    echo '</form>';

	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
?>
