<?php
/**
 * The template file to show notes
 * 
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta 
 * @package org.brim-project.plugins.notes
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?> 
<!--
	Set some custom colors for the popup notes
-->
<script language="JavaScript">
	var ol_textcolor="#000000";
	var ol_capcolor="#000000";
	var ol_bgcolor="#ffee00";
	var ol_fgcolor="#ffff00";
</script>

<?php
		/*
		 * Show the ancestor path. Contributed by Michael
		 */
		if(isset($parameters['ancestors']) && $parentId != 0)
		{
			echo ('<!-- Ancestors -->');
			echo ('<table><tr>');
			
			// The root link
			echo ('<td><a href="?parentId=0" class="ancestor">'.$dictionary['root'].'</a></td>');
	
			// all ancestors other than root
			foreach($parameters['ancestors'] as $ancestor)
			{ 
				echo ('<td>&nbsp;/&nbsp;');
				echo ('<a href="?parentId='.$ancestor->itemId.'" class="ancestor">');
				echo ($ancestor->name);
				echo ('</a>');
				echo ('</td>');
			}
			echo ('</tr></table>');
		}		

		include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
		$configuration = array ();
		/*
		 * Build up a proper configuration for the tree display.
		 */
		$configuration['icons']=$icons;
		$configuration['dictionary']=$dictionary;
		$configuration['callback']='index.php?plugin=notes';
		
		/*
		 * Check for conditional overlib
		 */
		if (isset ($_SESSION['noteOverlib']))
		{
			$configuration ['overlib'] =$_SESSION['noteOverlib'];
		}
		else
		{
			$configuration ['overlib'] = true;
		}

		/*
		 * Explorer like tree
		 */
		if (isset ($_SESSION['noteTree']) && $_SESSION['noteTree'] == 'Explorer')
		{
			include_once "framework/view/Tree.php";
			include_once "plugins/notes/view/NoteExplorerTreeDelegate.php";
			$delegate = new NoteExplorerTreeDelegate ($configuration);
			$tree = new Tree ($delegate, $configuration);
			/*
			 * Do we show expanded items? (This is not a useful option in the yahoo tree)
			 */
			if (isset ($_SESSION['noteExpand']))
			{
				$tree -> setExpanded ($_SESSION['noteExpand']);
			}
		}
		/*
		 * Yahoo like tree
		 */
		else
		{
			/*
			 * Build up a proper configuration for the tree display, this makes only sense for
			 * the yahoo-like tree
			 */
			if (isset ($_SESSION['noteYahooTreeColumnCount']))
			{
				$configuration ['numberOfColumns'] =$_SESSION['noteYahooTreeColumnCount'];
			}
			else
			{
				$configuration ['numberOfColumns'] = 2;
			}
			include_once "framework/view/YahooTree.php";
			include_once "plugins/notes/view/NoteYahooTreeDelegate.php";
			$delegate = new NoteYahooTreeDelegate ($configuration);
			$tree = new YahooTree ($delegate, $configuration);
		}

		/*
		 * Now actually show the layout
		 */
		echo ($tree -> toHtml ($parent, $renderObjects));
?>
