<?php

require_once 'framework/Installer.php';

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - November 2004
 * @package org.brim-project.plugins.passwords
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class PasswordInstaller extends Installer
{
		function PasswordInstaller ($engine, $db)
		{
			parent::Installer ($engine, $db);
			$this->tableName = 'brim_passwords';
		}

		function install ()
		{
			if (function_exists ('mcrypt_encrypt') &&
				function_exists ('mcrypt_decrypt'))
			{
				if (!$this->findTable ())
				{
					$dbFile = 'plugins/passwords/sql/create.';
					$dbFile .= $this->engine;
					$dbFile .= '.brim_passwords.sql';
					$this->createTable ($dbFile);
					$this->createStandardIndex ();
				}
				else
				{
					if (!$this->isTableUpToDate ())
					{
						die ('Table '.$this->tableName.' found but does not appear to be up-to-date and no upgrade procedure is found!');
					}
				}
			}
			else
			{
				echo ('Encryption (libmcrypt) extensions not found. Password plugin will not be installed');
			}
		}

		function isTableUpToDate ()
		{
			if (!$this->findTable ())
			{
				return false;
			}
			$columnNames = 
				$this->db->MetaColumnNames ('brim_passwords', true);
			return (
				count ($columnNames) == 13 &&
				$columnNames[0] == 'item_id' &&
				$columnNames[1] == 'owner' &&
				$columnNames[2] == 'parent_id' &&
				$columnNames[3] == 'is_parent' &&
				$columnNames[4] == 'name' &&
				$columnNames[5] == 'description' &&
				$columnNames[6] == 'visibility' &&
				$columnNames[7] == 'category' &&
				$columnNames[8] == 'is_deleted' &&
				$columnNames[9] == 'when_created' &&
				$columnNames[10] == 'when_modified' &&
				$columnNames[11] == 'login' &&
				$columnNames[12] == 'url'
			);
		}
}
