<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Ladislav Urbanek
 * @package org.brim-project.plugins.passwords
 * @subpackage i18n
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}

$dictionary['item_title']='Hesla';
$dictionary['modifyPasswordPreferences']='Upravit předvolby pro Hesla';

$dictionary['item_help']='
	<p>
		Plugin Hesla umožňuje uchovávat přístupové údaje online.
		Je možné nastavit následující parametry:
	</p>
	<ul>
		<li><em>Jméno</em>:
			Jméno přístupového údaje.
		</li>
		<li><em>Složka/Heslo</em>:
			Ukazatel, zda se jedná o složku nebo údaj. Tuto položku po nastavení
			není možné v budoucnu dodatečně změnit.
		</li>
		<li><em>Popis</em>:
			Popis tohoto přístupového údaje. Toto pole bude zašifrováno pomocí hesla,
			které bude uvedeno při přidávání záznamu a do databáze bude uložen tento
			zašifrovaný údaj.
		</li>
	</ul>
	<p>
		Podmenu, která jsou dostupná pro plugin Hesla jsou Akce, Zobrazení,
		Předvolby a Nápověda.
	</p>
	<h3>Akce</h3>
	<ul>
		<li><em>Přidat</em>:
			Pomocí této akce je zobrazen formulář, do kterého je možné
			vložit parametry hesla.
		</li>
		<li><em>Vícenásobný výběr</em>:
			Tato volba umožňuje vybrat více hesel naráz (NEPLATÍ pro složky)
			a tyto označené naráz smazat nebo je přesunout do jiné složky.
		</li>
		<li><em>Vyhledávání</em>:
			Pomocí této akce je možné vyhledávat v heslech podle jména.
		</li>
	</ul>
	<h3>Zobrazení</h3>
	<ul>
		<li><em>Rozbalit</em>:
			Touto volbou lze otevřít všechny složky a zobrazit všechny
			dostupné položky. Volbu lze použít pouze pro stromové zobrazení.
		</li>
		<li><em>Sbalit</em>:
			Tímto odkazem se zobrazí pouze položky (hesla nebo složky)
			aktuálně vybrané složky.
		</li>
		<li><em>Adresářová struktura</em>:
			Zvolením této možnosti bude struktura zobrazena jako adresářová
			struktura. Toto zobrazení je podobné tomu, jak Yahoo! zobrazuje
			svoji adresářovou strukturu.
			<br />
			Počet sloupců v tomto zobrazení může být nastaven v možnostech hesel.
		</li>
		<li><em>Stromová struktura</em>:
			Pomocí této možnosti bude struktura přepnuta do zobrazení, které je
			známé z Průzkumníku a mnoha dalších správců souborů.
		</li>
	</ul>
	<h3>Předvolby</h3>
	<ul>
		<li><em>Upravit</em>:
			Zde lze upravit vlastnosti hesel. Můžete změnit počet sloupců
			pro adresářové zobrazení hesel, lze de-/aktivovat Javascriptové
			informační pop-up okna, která se zobrazují při najetí kurzorem na odkaz.
			Lze také předvolit způsob zobrazení hesel (adresářové nebo stromové
			zobrazení).
		</li>
	</ul>
';
?>
