<?php

require_once 'framework/util/StringUtils.php';
include 'framework/view/globalFunctions.php';

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - November 2004
 * @package org.brim-project.plugins.passwords
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$stringUtils = new StringUtils ();

//
// If we are simply 'viewing' an item, add 'modify' as action to
// the action list
//
if ($viewAction == 'show')
{
	    $renderActions[0]['contents'][]= array (
	            'href'=>'index.php?plugin=password&action=modify&itemId='.$itemId,
	            'name'=>'modify');
}
?>
<h2>
	<?php echo $pageTitle ?>
</h2>

<form method="POST" action="index.php">
<input type="hidden" name="plugin" value="passwords" />
<table>
<?php
	//if (!stristr($_SERVER["SERVER_PROTOCOL"],'https'))
	if (isset ($_SERVER['HTTPS']) && !stristr($_SERVER["HTTPS"],'on'))
	{
		$parameters['errors'][]='insecureConnection';
	}
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}
	if ($renderObjects->isParent && $viewAction == 'add')
	{
		// Adding to a folder
		echo standardTableRowInput ('passPhrase',
			$dictionary, $viewAction, $renderObjects);
	}
	if (!$renderObjects->isParent && ($viewAction == 'add' || $viewAction == 'modify'))
	{
		echo standardTableRowInput ('passPhrase',
			$dictionary, $viewAction, $renderObjects);
	}

	echo standardTableRowInput ('name',
		$dictionary, $viewAction, $renderObjects);

	echo standardTableRowFolderItemRadios
		($dictionary, $viewAction, 'password');

    if (!$renderObjects->isParent || 
		(($renderObjects->isParent && $viewAction == 'add')))
    {
    	echo standardTableRowInput ('login',
    		$dictionary, $viewAction, $renderObjects);

    	echo standardTableRowInput ('url',
    		$dictionary, $viewAction, $renderObjects);
    }
	else
	{
		echo ('<input type="hidden" name="isParent" value="1" />');
	}
	echo standardTableRowTextarea ('description',
		$dictionary, $viewAction, $renderObjects);
?>
</table>
<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText ($dictionary, $renderObjects);
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndText ($dictionary, $parentId);
	}
?>
</form>

<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php"> ';
		echo '<input type="hidden" name="plugin" value="passwords" />';
		echo moveButtonAndText ($dictionary, $renderObjects);
		echo '</form>';

		echo '<form method="POST" action="index.php" ';
		echo 'onsubmit="return confirmDelete()">';
		echo '<input type="hidden" name="plugin" value="passwords" />';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}

    echo '<form method="POST" action="index.php">';
	echo '<input type="hidden" name="plugin" value="passwords" />';
    echo cancelButtonAndText ($dictionary, $parentId);
    echo '</form>';

	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
?>
