<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Ladislav Urbanek
 * @package org.brim-project.plugins.tasks
 * @subpackage i18n
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}
$dictionary['charset']='utf-8';

$dictionary['complete']='Hotovo';
$dictionary['due_date']='Ukončení';
$dictionary['item_title']='Úkoly';
$dictionary['modifyTaskPreferences']='Upravit předvolby pro Úkoly';
$dictionary['priority1']="Neodkladná";
$dictionary['priority2']="Vysoká";
$dictionary['priority3']="Normální";
$dictionary['priority4']="Nízká";
$dictionary['priority5']="Nepatrná";
$dictionary['priority']='Důležitost';
$dictionary['start_date']='Začátek';
$dictionary['status']='Stav';
$dictionary['item_help']='
	<p>
		Plugin Úkoly umožňuje spravovat Vaše úkoly online.
		Lze nastavi následující parametry:
	</p>
	<ul>
		<li><em>Název</em>:
			Název úkolu.
		</li>
		<li><em>Složka/Úkol</em>:
			Indikuje, zda je položka Složka nebo Úkol.
      Jakmile je jednou nastavena, není možno ji později změnit.
		</li>
		<li><em>Sdílené/Soukromé</em>:
      Indikátor, zdali tato položka je veřejná nebo pouze pro Vaše oči.
			<br />
			Pokud chcete aby konkrétní položka byla veřejná,
			její nadřazená kategorie musí být taktéž veřejná!
			(Nejvyšší úroveň je automaticky nastavena jako veřejná.)
		</li>
		<li><em>Hotovo</em>:
			Umožňuje určit, jak velká část úkolu je již hotova.
		</li>
		<li><em>Důležitost</em>:
			Nastavuje důležitost úkolu. Lze nastavit následující hodnoty:
			Neodkladná (výchozí), Vysoká, Normální, Nízká, Nepatrná.
		</li>
		<li><em>Stav</em>:
			Lze uvést dodatečný stav, který může být cokoliv si přejete.
		</li>
		<li><em>Začátek</em>:
			Datum, kdy by měl úkol začít.
		</li>
		<li><em>Ukončení</em>:
			Předpokládané datum, kdy úkol skončí.
		</li>
		<li><em>Popis</em>:
			Popis úkolu
		</li>
	</ul>
	<p>
		Podmenu které jsou dostupné pro plugin Úkoly jsou
		Akce, Zobrazení, Třídit, Volby a Nápověda.
	</p>
	<h3>Akce</h3>
	<ul>
		<li><em>Přidat</em>:
			Pomocí této akce je zobrazen formulář, do kterého je možné
			vložit parametry úkolu.
		</li>
		<li><em>Vícenásobný výběr</em>:
			Tato volba umožňuje vybrat více úkolů naráz (NEPLATÍ pro složky)
			a tyto označené naráz smazat nebo je přesunout do jiné složky.
		</li>
		<li><em>Vyhledávání</em>:
			Pomocí této akce je možné vyhledávat v úkolech podle
			jména, stavu nebo popisu.
		</li>
	</ul>
	<h3>Zobrazení</h3>
	<ul>
		<li><em>Rozbalit</em>:
			Touto volbou lze otevřít všechny složky a zobrazit všechny
			dostupné položky. Volbu lze použít pouze pro stromové zobrazení.
		</li>
		<li><em>Sbalit</em>:
			Tímto odkazem se zobrazí pouze položky (úkoly nebo složky)
			aktuálně vybrané složky.
		</li>
		<li><em>Adresářová struktura</em>:
			Zvolením této možnosti bude struktura zobrazena jako adresářová
			struktura. Toto zobrazení je podobné tomu, jak Yahoo! zobrazuje
			svoji adresářovou strukturu.
			<br />
			Počet sloupců v tomto zobrazení může být nastaven v možnostech úkolů.
		</li>
		<li><em>Přehled - strom</em>:
			Tato možnost zvolí zobrazení, které je tak trochu kombinací
			řádkového zobrazení a stromové struktury.
		</li>
		<li><em>Řádkové zobrazení</em>:
			Díky této volbě budou úkoly zobrazeny po řádcích.
		</li>
		<li><em>Stromová struktura</em>:
			Pomocí této možnosti bude struktura přepnuta do zobrazení, které je
			známé z Průzkumníku a mnoha dalších správců souborů.
		</li>
		<li><em>Veřejné</em>:
			Zobrazí všechny veřejné úkoly všech uživatelů spolu s Vašimi
			úkoly (bez ohledu zda-li jsou sdílené nebo vlastní).
		</li>
		<li><em>Vlastní</em>:
			Zobrazí pouze Vaše záložky (opak k "Veřejné")
		</li>
	</ul>
	<h3>Třídit</h3>
	<ul>
		<li><em>Důležitost</em>:
			Třídit podle důležitost.
		</li>
		<li><em>Hotovo</em>:
			Třídit podle velikosti již dokoncčené části úkolu.
		</li>
		<li><em>Začátek</em>:
			Třídit podle počátku.
		</li>
		<li><em>Ukončení</em>:
			Třídit podle ukončení.
		</li>
	</ul>
	<h3>Volby</h3>
	<ul>
		<li><em>Upravit</em>:
			Zde lze upravit vlastnosti záložek. Můžete změnit počet sloupců
			pro adresářové zobrazení úkolů, lze de-/aktivovat Javascriptové
			informační pop-up okna, která se zobrazují při najetí kurzorem na odkaz.
			Lze také předvolit způsob zobrazení záložek (adresářové, přehled, řádkové
			nebo stromové).
		</li>
	</ul>
';
?>
