<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta 
 * @package org.brim-project.plugins.tasks
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

// 
// First loop over all objects and remove the completed IF this is requested
//
function filterCompleted (&$anObject)
{
	// Hmm... isFinished seems the same as 100% complete?
	return ($anObject->percentComplete != 100);
       	// || $anObject->isFinished == 0);
}
if (isset ($_SESSION['taskHideCompleted']) && ($_SESSION['taskHideCompleted']==1))
{
	if (isset ($renderObjects))
	{
		$renderObjects = 
			array_values (array_filter ($renderObjects, 'filterCompleted'));
	}
}

	// Show the ancestor path. Contributed by Michael
	if(isset($parameters['ancestors']) && $parentId != 0)
	{
		echo ('<!-- Ancestors -->');
		echo ('<table><tr>');
		
		// The root link
		echo ('<td><a href="?parentId=0" class="ancestor">'.
			$dictionary['root'].'</a></td>');

		// all ancestors other than root
		foreach($parameters['ancestors'] as $ancestor)
		{ 
			echo ('<td>&nbsp;/&nbsp;');
			echo ('<a href="?parentId='.$ancestor->itemId.
				'" class="ancestor">');
			echo ($ancestor->name);
			echo ('</a>');
			echo ('</td>');
		}
		echo ('</tr></table>');
	}		

	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
	$configuration = array ();

	// Build up a proper configuration for the tree display.
	$configuration['icons']=$icons;
	$configuration['dictionary']=$dictionary;
	$configuration['callback']='index.php?plugin=tasks';
	
	// Check for optional overlib
	if (isset ($_SESSION['taskOverlib']))
	{
		$configuration ['overlib'] =$_SESSION['taskOverlib'];
	}
	else
	{
		$configuration ['overlib'] = true;
	}
	
	// Yahoo like tree
	if (isset ($_SESSION['taskTree']) 
		&& $_SESSION['taskTree'] == 'Yahoo')
	{
		// Build up a proper configuration for the tree display,
		// this makes only sense for the yahoo-like tree
		if (isset ($_SESSION['taskYahooTreeColumnCount']))
		{
			$configuration ['numberOfColumns'] =
				$_SESSION['taskYahooTreeColumnCount'];
		}
		else
		{
			$configuration ['numberOfColumns'] = 2;
		}
		include_once "framework/view/YahooTree.php";
		include_once "plugins/tasks/view/TaskYahooTreeDelegate.php";
		$delegate = new TaskYahooTreeDelegate ($configuration);
		$tree = new YahooTree ($delegate, $configuration);
	}
	// Explorer like tree
	else if (isset ($_SESSION['taskTree']) 
		&& $_SESSION['taskTree'] == 'Explorer')
	{
		include_once "framework/view/Tree.php";
		include_once "plugins/tasks/view/TaskExplorerTreeDelegate.php";
		$delegate = new TaskExplorerTreeDelegate ($configuration);
		$tree = new Tree ($delegate, $configuration);

		// Do we show expanded items? 
		// (This is not a useful option in the yahoo tree)
		if (isset ($_SESSION['taskExpand']))
		{
			$tree->setExpanded ($_SESSION['taskExpand']);
		}
	}
	// Overview tree
	else if (isset ($_SESSION['taskTree'])
		&& $_SESSION['taskTree'] == 'Overview')
	{
		include_once "framework/view/OverviewTree.php";
		include_once "plugins/tasks/view/TaskOverviewTreeDelegate.php";
		$delegate = new TaskOverviewTreeDelegate ($configuration);
		$tree = new OverviewTree ($delegate, $configuration);
		if (isset ($_SESSION['taskExpand']))
		{
			$tree->setExpanded ($_SESSION['taskExpand']);
		}
	}
	else
	{
		include_once "framework/view/LineBasedTree.php";
		include_once "plugins/tasks/view/TaskLineBasedTreeDelegate.php";

		$delegate = new TaskLineBasedTreeDelegate ($configuration);
		$tree = new LineBasedTree ($delegate, $configuration);
	}
	// Now actually show the layout
	echo ($tree -> toHtml ($parent, $renderObjects));
?>
